Skip to main content

Update vendor

PUThttps://api.propexo.com/v1/vendors/:vendor_id

Update a vendor for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

vendor_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    namestring

    The name associated with the vendor

    is_activeboolean

    Whether the vendor is active

    notesstring

    Notes associated with the vendor

    Possible values: <= 1998 characters

    tax_idstring
    tax_payer_first_namestring

    The first name of the tax payer associated with the vendor

    tax_payer_last_namestring

    The last name of the tax payer associated with the vendor

    workers_comp_expiration_datestring

    The expiration date of the workers compensation policy on file for this vendor

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    liability_expiration_datestring

    The expiration date of the liability insurance policy on file for this vendor

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string

    The first address line associated with the vendor

    address_2string

    The second address line associated with the vendor

    citystring

    The city associated with the vendor

    statestring

    The state associated with the vendor

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    zipstring

    The zip code associated with the vendor

    countrystring

    The country associated with the vendor

    Show 2 variants
    • stringUnited StatesCanada
    • string
    email_1string

    The primary email address associated with the vendor

    phone_1string

    Primary phone number associated with the vendor

    phone_2string

    Secondary phone number associated with the vendor

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/vendors/:vendor_id
curl -X PUT https://api.propexo.com/v1/vendors/:vendor_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"is_active": true,
"notes": "string",
"tax_id": "string",
"tax_payer_first_name": "string",
"tax_payer_last_name": "string",
"workers_comp_expiration_date": "2024-07-29T15:51:28.071Z",
"liability_expiration_date": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AA",
"zip": "string",
"country": "United States",
"email_1": "string",
"phone_1": "string",
"phone_2": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}